#include <bits/stdc++.h>
using namespace std;

int main()
{
    int a,b,c;
    cin>>b>>c;
    int p =max(b,c);
    int q =min(b,c);
    if(b+c<256)
    {
      a=256-p;

    }
    else if(256-p>q)
    {
        a=256-p;
    }
    else a=0;
    cout<<a<<endl;

    return 0;
}